# Voronoi View

Some simple software to explore the generation of Voronoi Diagrams with a drawable canvas.

![](example.PNG)

## Usage

First install the necessary packages:

`pip install -r requirements.txt`

Then launch Voronoi View using:

`python voronoiview.py`

from the root directory.

## Development

Make sure to install the development requirements using `pip install -r requirements-dev.txt`. This will install
all main requirements as well as useful testing and linting tools.

### Regenerating the UI

After modifying the `*.ui` file in Qt Designer run

`pyuic5 voronoiview.ui -o voronoiview.py`

to regenerate the UI python file.
