from enum import Enum


class Mode(Enum):
    """
    Class to make it easier to figure out what mode
    we are operating in when the OpenGL window is
    clicked.
    """
    OFF = 0
    ADD = 1
    EDIT = 2
    MOVE = 3
    DELETE = 4
    LOADED = 5
    VORONOI = 6
